require 'nicoapi/version'

require 'nicoapi/getthumbinfo'
require 'nicoapi/tag_search'
require 'nicoapi/video_array'


module NicoAPI
  def getthumbinfo(video_id)
    instance = NicoAPI::GetThumbInfo.new video_id
    instance.get
  end

  def video_array(video_id_array)
    instance = NicoAPI::VideoArray.new video_id_array
    instance.get
  end

  def tag_search(tag: tag, sort: sort, order: order, page: page)
    instance = NicoAPI::TagSearch.new tag: tag,
                                      sort: sort,
                                      order: order,
                                      page: page
    instance.get
  end

  def mylist(mylist_id)
    instance = NicoAPI::Mylist.new mylist_id
    instance.get
  end

  module_function :getthumbinfo
  module_function :video_array
  module_function :tag_search
  module_function :mylist
end
